## org.eclipse.datatools.sqltools.db.derby.core.services
Class DerbyExecutionService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.ExecutionService
          org.eclipse.datatools.sqltools.db.derby.core.services.DerbyExecutionService

    public class DerbyExecutionService

extends org.eclipse.datatools.sqltools.core.services.ExecutionService

Author:
  hcao

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.core.services.ExecutionService
`KEY_PROMPT_VAR, KEY_VAR_DECLARATION`

Constructor Summary
`DerbyExecutionService()`

Method Summary
`java.lang.Runnable` `createCallableSQLResultRunnable(java.sql.Connection con, org.eclipse.debug.core.ILaunchConfiguration configuration, boolean closeCon, IConnectionTracker tracker, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`
`java.lang.String` `getCallableStatementPrefix(int type)` Returns a String prefix for invoking Routine with the specified type

Methods inherited from class org.eclipse.datatools.sqltools.core.services.ExecutionService
`createAdHocScriptRunnable, createExecuteParallelRunnable, createFunctionRunnable, createSimpleSQLResultRunnable, createStoredProcedureRunnable, getDirectInvocationPrefix`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyExecutionService

    public DerbyExecutionService()

Method Detail

### createCallableSQLResultRunnable

    public java.lang.Runnable createCallableSQLResultRunnable(java.sql.Connection con,
                                                              org.eclipse.debug.core.ILaunchConfiguration configuration,
                                                              boolean closeCon,
                                                              IConnectionTracker tracker,
                                                              org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

  Overrides:
    `createCallableSQLResultRunnable` in class `org.eclipse.datatools.sqltools.core.services.ExecutionService`

### getCallableStatementPrefix

    public java.lang.String getCallableStatementPrefix(int type)

  Returns a String prefix for invoking Routine with the specified type

  Overrides:
    `getCallableStatementPrefix` in class `org.eclipse.datatools.sqltools.core.services.ExecutionService`
  Returns:
    SQL construct that can invoke Routine with the specified type